<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="css/style.css">
    <title>Document</title>
</head>

<body>
    <h1>align-items: stretch</h1>
    <div class="container stretch">
        <div class="item">1</div>
        <div class="item">Teste 2 do item</div>
        <div class="item">Teste 3 do item agora mesmo</div>
        <div class="item">Teste 4</div>
    </div>
    <h1>align-items: flex-start</h1>
    <div class="container flex-start">
        <div class="item">1</div>
        <div class="item">Teste 2 do item</div>
        <div class="item">Teste 3 do item agora mesmo</div>
        <div class="item">Teste 4</div>
    </div>
    <h1>align-items: flex-end</h1>
    <div class="container flex-end">
        <div class="item">1</div>
        <div class="item">Teste 2 do item</div>
        <div class="item">Teste 3 do item agora mesmo</div>
        <div class="item">Teste 4</div>
    </div>
    <h1>align-items: center</h1>
    <!-- ele se alinha ao eixo do item -->
    <div class="container flex-center">
        <div class="item">1</div>
        <div class="item">Teste 2 do item</div>
        <div class="item">Teste 3 do item agora mesmo</div>
        <div class="item">Teste 4</div>
    </div>
    <h1>align-items: flex-baseline</h1>
    <!-- ele se alinha de acordo com a linha base do item ou sua tipografia -->
    <div class="container flex-baseline">
        <div class="item">1</div>
        <div class="item">Teste 2 do item</div>
        <div class="item">Teste 3 do item agora mesmo</div>
        <div class="item">Teste 4</div>
    </div>
    <h1>align-items: flex-strech // column</h1>
    <div class="container flex-strech column">
        <div class="item">1</div>
        <div class="item">Teste 2 do item</div>
        <div class="item">Teste 3 do item agora mesmo</div>
        <div class="item">Teste 4</div>
    </div>
    <h1>align-items: flex-start // column</h1>
    <div class="container flex-start column">
        <div class="item">1</div>
        <div class="item">Teste 2 do item</div>
        <div class="item">Teste 3 do item agora mesmo</div>
        <div class="item">Teste 4</div>
    </div>
    <h1>align-items: flex-end // column</h1>
    <div class="container flex-end column">
        <div class="item">1</div>
        <div class="item">Teste 2 do item</div>
        <div class="item">Teste 3 do item agora mesmo</div>
        <div class="item">Teste 4</div>
    </div>
    <h1>align-items: center // column</h1>
    <div class="container flex-center column">
        <div class="item">1</div>
        <div class="item">Teste 2 do item</div>
        <div class="item">Teste 3 do item agora mesmo</div>
        <div class="item">Teste 4</div>
    </div>
    <h1>align-items: center; e justfy-content: center</h1>
    <div class="container alinhamento-central">
        <div class="item">Esse item esta veticalmente alinhado ao centro</div>
    </div>
</body>

</html>